Subject: Re: non-RSVP router and LRO

From: [email-masked]
Date: Fri, 14 Jul 2000 15:24:32 -0400

Hi Arthi,

Sorry, I thought your explanation is about the other case not the case I mentioned before.

The reason is from the draft,section 4.2.5(last 3 lines)

"...... This same message SHOULD be sent, if a router receives a
   LABEL_REQUEST object in a message from a non-RSVP capable router."

I think this case is proper with your explanation.

Regards,

Ted

> A non-RSVP router will simply propagate RSVP messages w.o processing them.
> (ref. RFC 2205)
> So when a downstream RSVP-capable router receives a Path msg. from this
> router containing LRO, it detects the presence of a non-RSVP router
> upstream (from TTL values) and sends a PathErr message upstream. When this
> reaches the RSVP-capable upstream router, it knows that it's next-hop is a
> non-RSVP router. So, henceforth it sends PathErr back to the sender if it
> receives a Path msg. with LRO directed towards that next-hop.
> 
> -arthi
> 
> > I have a question for the non-RSVP router and LRO from draft-mpls-rsvp-lsp-tunnel-06.txt.
> > 
> > it says "RSVP is designed to cope gracefully with non-RSVP routers anywhere
> >    between senders and receivers. However, obviously, non-RSVP routers
> >    cannot convey labels via RSVP. This means that if a router has a
> >    neighbor that is known to not be RSVP capable, the router MUST NOT
> >    advertise the LABEL_REQUEST object when sending messages that pass
> >    through the non-RSVP routers.  The router SHOULD send a PathErr back
> >    to the sender, with the error code "Routing problem" and the error
> >    value "MPLS being negotiated, but a non-RSVP capable router stands in
> >    the path." 
> > 
> > In my understanding, the upstream node should know the nhop is a non-rsvp router. Then it will stop sending the Path message with LRO and send back the sender a PathErr message.
> > 
> > If it is correct, how the upstream node knows the nhop is non-RSVP?
> > 
> > If it is not correct, then the router should know the existing of non-rsvp after receiving the phop's path message if one of phops is non-rsvp. Then the router will send back the PathErr message to the sender. Can the non-RSVP router pass the LRO and Path message?
> > 
> > 
> > Another question is where I can find the list of error code(not value) like "Routing Problem", etc.
> > 
> > 
> > Thanks
> > 
> > Regards,
> > Ted
> > 
> > 
> > ----------
> > Get your own FREE, personal Netscape Webmail account today at http://home.netscape.com/webmail/
> > 
> 
> 

----------
Get your own FREE, personal Netscape Webmail account today at http://home.netscape.com/webmail/

---

From: Arthi Ayyangar <[email-masked]>
Date: Fri, 14 Jul 2000 15:38:52 -0400 (EDT)

Actually, I think your case would follow the case in the bottom half of
the paragraph.

Once the downstream router knows of a non-RSVP router upstream, it will
propagate Patherr upstream. Only then will the upstream know of a non-RSVP
next-hop. (The Path msg that downstream receives the first time from a
non-RSVP upstream , need not even contain the LRO....doesn't matter)

Now that upstream router knows of a non-RSVP next-hop, your case follows.

thaanks,
-arthi

> Sorry, I thought your explanation is about the other case not the case I

> mentioned before.